import mitt from 'mitt';
import { reactive } from 'vue';

const emitter = mitt();

// 用于记载全局的一些对象，以便在不同组件中比较 ID
const globalLookup = reactive({
    // 当前选中的 信号，也就是 tree-view 左列的，默认是第一个。不可复选。
    currentSignal: undefined,
    // 当前选中的某个 信号 的 数据。可复选。
    currentWires: new Set(),

    initCurrentSignal(signal) {
        if (this.currentSignal === undefined && signal) {
            this.currentSignal = signal;
        }
    }
});

const globalSetting = {
    caseSensitivity: false
};

export {
    emitter,
    globalLookup,
    globalSetting
};