/* eslint-disable no-undef */

import { Stream } from "stream";

/**
 * 
 * @returns {Promise<Stream>}
 */
async function getVcdStream() {
    const ostream = await window.getVcdStream();
    return ostream;
}

/**
 * @returns {Promise<Uint8Array>}
 */
async function readVcdFile() {
    const response = await fetch('cpu.vcd');
    const blob = await response.blob();
    const reader = new FileReader();
    return new Promise((resolve, reject) => {
        reader.onload = event => {
            const fileContent = event.target.result;
            const unintarray = new Uint8Array(fileContent);
            resolve(unintarray);     
        };
        reader.readAsArrayBuffer(blob);
    });
}

export {
    getVcdStream,
    readVcdFile
};